Skip to main content
`Ctrl`+`K`

# BVSetSignature

Sets the signature matrix to be used in orthogonalization.

## Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVSetSignature(BV bv,Vec omega)

Logically Collective

## Input Parameters

- bv - the basis vectors context

- omega - a vector representing the diagonal of the signature matrix

## Note

The signature matrix \(\Omega = V^*B V\) is relevant only for an indefinite \(B\).

## See Also

BV: Basis Vectors, `BVSetMatrix()`, `BVGetSignature()`

## Level

developer

## Location

src/sys/classes/bv/interface/bvbasic.c

Index of all BV routines Table of Contents for all manual pages Index of all manual pages